ALAS-2012-034


Amazon Linux AMI Security Advisory: ALAS-2012-34
Advisory Release Date: 2014-09-14 15:11 Pacific
Severity: Medium
References: CVE-2011-4127 

Issue Overview:

The Linux kernel before 3.2.2 does not properly restrict SG_IO ioctl calls, which allows local users to bypass intended restrictions on disk read and write operations by sending a SCSI command to (1) a partition block device or (2) an LVM volume.


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system. You will need to reboot your system in order for the new kernel to be running.

New Packages:
i686:
    kernel-headers-2.6.35.14-106.53.amzn1.i686
    kernel-devel-2.6.35.14-106.53.amzn1.i686
    kernel-debuginfo-2.6.35.14-106.53.amzn1.i686
    kernel-debuginfo-common-i686-2.6.35.14-106.53.amzn1.i686
    perf-2.6.35.14-106.53.amzn1.i686
    kernel-2.6.35.14-106.53.amzn1.i686

noarch:
    kernel-doc-2.6.35.14-106.53.amzn1.noarch

src:
    kernel-2.6.35.14-106.53.amzn1.src

x86_64:
    kernel-debuginfo-2.6.35.14-106.53.amzn1.x86_64
    kernel-2.6.35.14-106.53.amzn1.x86_64
    kernel-headers-2.6.35.14-106.53.amzn1.x86_64
    perf-2.6.35.14-106.53.amzn1.x86_64
    kernel-debuginfo-common-x86_64-2.6.35.14-106.53.amzn1.x86_64
    kernel-devel-2.6.35.14-106.53.amzn1.x86_64